package com.sckw.core.common.enums.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author: tangyishan
 * @CreateTime: 2025-12-11  14:13
 * @Description: 派车方式枚举类
 */
@Getter
@AllArgsConstructor
public enum DispatchingTypeEnum {
    MANUAL(1,"手动派车"),
    AUTO(2,"自动派车");

    private final Integer value;
    private final String label;

    public static String getLabel(Integer value) {
        for (DispatchingTypeEnum ele : DispatchingTypeEnum.values()) {
            if (ele.getValue().equals(value)) {
                return ele.getLabel();
            }
        }
        return null;
    }
}
